Sync Contract provider status
Refreshes provider status. The body is optional. Any body fields are ignored but still participate in idempotency matching; prefer an empty object.
Refreshes provider status. The body is optional. Any body fields are ignored but still participate in idempotency matching; prefer an empty object.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
id*string
Contract identifier returned by the Organization API.
Request Body
application/json
JSON request payload for syncContractProviderStatus.
TypeScript Definitions
Use the request body type in TypeScript.
Optional payload is retained for idempotency matching but its fields are ignored. Prefer an empty object.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/contracts/string/sync" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "action": { "confirmed": true, "confirmationSignal": "string" }, "resource": {} }, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}